#include <gcj/cni.h>
#include <gnu/gcj/RawData.h>

#include <java/lang/OutOfMemoryError.h>
#include "no/rwr/image/hermes/HermesFormat.h"


#include <Hermes/Hermes.h>

void 
no::rwr::image::hermes::HermesFormat::init(jint rMask, jint gMask, jint bMask,
					   jint aMask,
					   jint bitsPerPixel, 
					   jboolean isIndexed,
					   jboolean hasColorKey,
					   jint colorKey) {
    ::HermesFormat* format = new ::HermesFormat;
    format->r = rMask;
    format->g = gMask;
    format->b = bMask;
    format->a = aMask;
    format->bits = bitsPerPixel;
    format->indexed = isIndexed ? 1 : 0;
    format->has_colorkey = hasColorKey ? 1 : 0;
    format->colorkey = colorKey;
    this->structure = reinterpret_cast<gnu::gcj::RawData*>(format); 
}
