
#include <X11/Xlib.h>

#include <gcj/cni.h>
#include <gnu/gcj/RawData.h>

#include "no/rwr/x/Display.h"
#include "no/rwr/x/Window.h"
#include "no/rwr/x/XAnyEvent.h"
#include "no/rwr/x/XEvent.h"
#include "no/rwr/x/XUnmapEvent.h"
#include <iostream>

void no::rwr::x::XUnmapEvent::setUnmappedWindow(no::rwr::x::Window*
						unmappedWindow) {
    ::XUnmapEvent* evt = (::XUnmapEvent*) event->structure;
    evt->window = unmappedWindow->getXID();
}

void no::rwr::x::XUnmapEvent::setFromConfigure(jboolean fromConfigure) {
    ::XUnmapEvent* evt = (::XUnmapEvent*) event->structure;
    evt->from_configure = fromConfigure ? True : False;


}

