package no.rwr.awt;
import java.awt.*;

public class Debug {

    /* Should draw nothing. Tries to draw in the "invisible" area
       outside the current clip and the component bounds. */
    public static void testClipping(Component c, Graphics gfx) {

	Dimension dim = c.getSize();

	/* Draw a red border that lies outside the component and
	   should not be drawn. */
	gfx.setColor(Color.red);
	gfx.drawRect(-1, -1, dim.width+1, dim.height+1);
	gfx.setColor(Color.white);
	gfx.drawRect(-2, -2, dim.width+3, dim.height+3);
	gfx.setColor(Color.red);
	gfx.drawRect(-3, -3, dim.width+5, dim.height+5);

	/* Draw a red border that lies outside the current clip and
	   should not be drawn. */
	Rectangle r = gfx.getClipBounds();
	gfx.setColor(Color.yellow);
	gfx.drawRect(r.x-1, r.y-1, r.width+1, r.height+1);
	gfx.setColor(Color.black);
	gfx.drawRect(r.x-2, r.y-2, r.width+3, r.height+3);
	gfx.setColor(Color.yellow);
	gfx.drawRect(r.x-3, r.y-3, r.width+5, r.height+5);
    }



}
