package no.rwr.awt.x;

import java.awt.*;

import no.rwr.x.Display;
import no.rwr.x.XAnyEvent;
import no.rwr.x.XExposeEvent;
import no.rwr.x.XButtonEvent;
import java.awt.event.PaintEvent;
import java.awt.event.InputEvent;
import java.awt.event.MouseEvent;
import java.util.Vector;

/** The only difference here from a standard EventQueue is that the X
    display connection is flushed before waiting for more events. */
public class XEventQueue extends EventQueue {

    Display display;

    public XEventQueue(Display display) {
	this.display = display;
    }

    public AWTEvent getNextEvent() throws InterruptedException {
	/*if (peekEvent() == null)*/ display.flush();
	return super.getNextEvent();
    }
}
